View Single Post
  #12  
Old 8th October 2010, 02:21
Nicram Nicram is offline
Member
 
Join Date: Mar 2010
Location: PL
Posts: 59
Thanks: 21
Thanked 9 Times in 7 Posts
Send a message via ICQ to Nicram Send a message via AIM to Nicram Send a message via Yahoo to Nicram Send a message via Skype™ to Nicram
Default

CentOS 5.5 here and some error occurs when trying to update with ispconfig_update.sh :

Code:
>> Update

Operating System: CentOS 5 or compatible

This application will update ISPConfig 3 on your server.
PHP Fatal error:  Cannot use string offset as an array in /tmp/ispconfig3_install/install/lib/update.lib.php on line 98
I also would liek to suggest something.
When i try to update at first there was error about corrupted log database (err 145 or something like that).
So then i find some post to use "repair" for all isp config database (all entries) and... it cleared my database nicely :S
Well i then checked the mysql dump made by backup but the file had only about 200KB so there was no all data inside.
I think because of errors in databas eor something.
Well i had some backup done month ago so i put the database back from this month, made update (to 3.0.2.2. again bcoz 3.0.3 still do not want ti upgrade even with manual instructions with error above). And well few email accounts etc. i had to recreate. No problem. Also i had to rereate some websites. And it do it correctly while there 1 thing.
It do not fix the symlinks like ~mydomain.name.com. They are still going into old directories with old files.
Maybe there is some way of fixing this in future version to rebuil this if the vhost with same name is made and this symlink is alreade made.
Mmm that's all

Last edited by Nicram; 8th October 2010 at 04:17.
Reply With Quote